# GET /spreadsheets/templates/:id

**Resource:** [Spreadsheets](./spreadsheets.md)  
**Scopes:** `spreadsheets:read`  
**Write operation:** no

Get a spreadsheet template with full column definitions. Use this to resolve column IDs to headers before writing row data.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `id` | path | uuid | yes | Template ID |

## Response example

```json
{
  "id": "tmpl-uuid",
  "name": "Project Checklist",
  "description": "Standard project delivery checklist",
  "columns": [
    {
      "id": "col-uuid-1",
      "header": "Task",
      "data_type": "text"
    },
    {
      "id": "col-uuid-2",
      "header": "Notes",
      "data_type": "long_text"
    },
    {
      "id": "col-uuid-3",
      "header": "Assigned To",
      "data_type": "user_ref"
    },
    {
      "id": "col-uuid-4",
      "header": "Linked Opportunity",
      "data_type": "opportunity_ref"
    },
    {
      "id": "col-uuid-5",
      "header": "Due Date",
      "data_type": "date"
    },
    {
      "id": "col-uuid-6",
      "header": "Complete",
      "data_type": "boolean"
    },
    {
      "id": "col-uuid-7",
      "header": "Status",
      "data_type": "dropdown",
      "options": [
        {
          "value": "Open",
          "color": "green"
        },
        {
          "value": "In Progress",
          "color": "amber"
        },
        {
          "value": "Done",
          "color": "slate"
        }
      ]
    }
  ],
  "default_sort": [
    {
      "column": "Status",
      "direction": "asc"
    }
  ],
  "is_archived": false,
  "created_at": "2026-01-15T10:00:00Z"
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`